Summary:    A modular session/policy manager for PipeWire
Name:       wireplumber
Version:    0.4.14
Release:    3%{?dist}
License:    MIT
URL:        https://pipewire.pages.freedesktop.org/wireplumber/
Source0:    https://gitlab.freedesktop.org/pipewire/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  meson gcc pkgconfig
BuildRequires:  pkgconfig(libpipewire-0.3) >= 0.3.26 pkgconfig(systemd)
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0) pkgconfig(libspa-0.2) >= 0.2 pkgconfig(lua)
BuildRequires:  gobject-introspection-devel systemd-rpm-macros systemd-devel >= 184
BuildRequires:  python3-lxml doxygen gettext
%{?systemd_ordering}
Requires:       %{name}-libs = %{version}-%{release}
Provides:       pipewire-session-manager

%description
This package provides a modular session/policy manager for PipeWire and a GObject-based 
high-level library that wraps PipeWire's API, providing convenience for writing the daemon's 
modules as well as external tools for managing PipeWire.

%package        libs
Summary:        Libraries for WirePlumber clients
Recommends:     %{name} = %{version}-%{release}

%description libs
This package provides the runtime libraries for any application that wishes to interface with 
WirePlumber.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson -Dsystem-lua=true \
       -Ddoc=disabled \
       -Dsystemd=enabled \
       -Dsystemd-user-service=true \
       -Dintrospection=enabled \
       -Delogind=disabled
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/wireplumber/{bluetooth.lua.d,common,main.lua.d,policy.lua.d}

%find_lang %{name}

%posttrans
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%license LICENSE
%{_bindir}/wireplumber
%{_bindir}/wpctl
%{_bindir}/wpexec
%dir %{_sysconfdir}/wireplumber
%dir %{_sysconfdir}/wireplumber/bluetooth.lua.d
%dir %{_sysconfdir}/wireplumber/common
%dir %{_sysconfdir}/wireplumber/main.lua.d
%dir %{_sysconfdir}/wireplumber/policy.lua.d
%{_userunitdir}/wireplumber.service
%{_userunitdir}/wireplumber@.service
%{_datadir}/wireplumber/

%files libs -f %{name}.lang
%license LICENSE
%dir %{_libdir}/wireplumber-0.4/
%{_libdir}/wireplumber-0.4/libwireplumber-*.so
%{_libdir}/libwireplumber-0.4.so.*
%{_libdir}/girepository-1.0/Wp-0.4.typelib

%files devel
%{_includedir}/wireplumber-0.4/
%{_libdir}/libwireplumber-0.4.so
%{_libdir}/pkgconfig/wireplumber-0.4.pc
%{_datadir}/gir-1.0/Wp-0.4.gir

%changelog
* Tue Nov 21 2023 cunshunxia@tencent.com - 0.4.14-3
- Rebuilt for pipewire 0.3.85

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.14-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Wang Guodong <gordonwwang@tencent.com> - 0.4.14-1
- Upgrade to 0.4.14

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.12-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 0.4.12-1
- initial build
